Bug 1350450 - resolv.conf management
Summary: resolv.conf management
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-27 12:58 UTC by DaveG
Modified: 2018-11-30 20:47 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 20:47:08 UTC


Attachments (Terms of Use)

Description DaveG 2016-06-27 12:58:33 UTC
Description of problem:

Ref: https://bugzilla.redhat.com/show_bug.cgi?id=1116999

BZ1116999 moved creation of the symlink /etc/resolv.conf from tmpfiles to systemd-resolved runtime to avoid treading on NM's toes (0999-resolved-create-etc-resolv.conf-symlink-at-runtime.patch).

Fedora 24 now runs systemd-resolved with ProtectSystem=full.

This means that the service CANNOT create the symlink since /etc will be mounted read-only.


Version-Release number of selected component (if applicable):

systemd-229-8.fc24.x86_64


How reproducible:

Always.


Additional info:

I do not use NM. Used systemd-networkd since F22.

Changing to ProtectSystem=true side-steps the issue but defeats the added security.

The symlink needs to be manage by some other mechanism than a long-running service. systemd-networkd could be packaged as an alternative to NM and initscripts networking, with the symlink set on install. Could alternatives(8) handle it?

Move symlink creation to ExecStartPre?

The use of ProtectSystem=full in F24 may uncover similar issues elsewhere (mounton AVC?).

--DaveG.

Comment 1 Fedora End Of Life 2017-07-25 21:21:12 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Zbigniew Jędrzejewski-Szmek 2017-07-25 23:08:11 UTC
I'm not even sure what the state is here. I'll reassign to rawhide so this doesn't get lost.

Comment 3 Jan Kurik 2017-08-15 08:37:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 4 Ben Cotton 2018-11-27 16:21:06 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2018-11-30 20:47:08 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.